<?php
/**
 * @link      http://www.u-bo.com
 * @copyright 南京友博网络科技有限公司 
 * @license   http://www.u-bo.com/license/
 */

namespace home\modules\task\models;

use Yii;
use yii\db\ActiveRecord;
use yii\db\Query;

/**
 * 任务回收站表 ({{qc_task_trash}})
 *
 * 字段与任务表相同
 *
 * @author legendjw http://blog.u-bo.com
 * @since 0.1
 */
class TaskTrash extends \yii\db\ActiveRecord
{
	/**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%task_trash}}';
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        $scenario = parent::scenarios();
        $scenario['trash'] = array_keys(self::getTableSchema()->columns);
        return $scenario;
    }


}
